window.screenOrientation = "sensor_landscape";
loadLib("libs/laya.core.js");
loadLib("libs/laya.ani.js");
loadLib("libs/laya.ui.js");
loadLib("libs/laya.d3.js");
loadLib("libs/laya.physics3D.js");
loadLib("sdk/sdk.js");
loadLib("libs/androidUtil.js");
loadLib("js/bundle.js");
window.langManager = {
    langType: "ZH",
    langs: {
        EN: {
            level: "Lv.",
            start_game: "Click to start",
            move_tips: "Press and hold the screen to move",
            get_rewards: "Get rewards!",
            loading: "Loading......"
        },
        RU: {
            level: "Ур.",
            start_game: "Нажмите, чтобы начать",
            move_tips: "Длительное нажатие на экран для перемещения",
            get_rewards: "Получайте награды!",
            loading: "Загрузка......"
        },
        ZH: {
            level: "关卡",
            start_game: "点击屏幕开始游戏",
            move_tips: "长按屏幕进行移动",
            get_rewards: "获得奖励！",
            loading: "加载中......"
        }
    },
    imageMap: ["ZZ28PH0HXF4TZT0", "T2DRZVN8X8028R0"],
    getLangStr(key, number) {
        let str = this.langs[this.langType][key];
        if (!str) return key;
        number && (str = str.replace("{x}", number));
        return str ? str : key;
    },
    getLangImage(url) {
        let res = url;
        for (let index = 0; index < this.imageMap.length; index++) {
            let key = this.imageMap[index];
            let name = `/${key}.png`;
            if (url.indexOf(name) > 0) {
                let langEnd = this.langType == "RU" ? "_ru" : (this.langType == "EN" ? "_en" : "");
                let replaceName = `/${key}${langEnd}.png`
                res = url.replace(name, replaceName);
                break;
            }
        }
        return res;
    }
}